Skip to main content

Convert Sales Navigator ID to LinkedIn Public Identifier

POST /api/v1/convert_sales_navigator_id

This API allows the authenticated user to convert a LinkedIn Sales Navigator profile ID into the corresponding LinkedIn public profile identifier.

The sales_profile_id parameter should be the LinkedIn Sales Navigator profile ID.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
sales_profile_idstringrequiredThe unique Sales Navigator profile identifier.

Sample Request

{
"accountId": "string",
"sales_profile_id": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.
public_identifierstringLinkedin public identifier.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"profile_id": "string",
"public_identifier": "string"
}
}
POST/api/v1/convert_sales_navigator_id
x-api-key
x-api-secret